//
// Copyright (c) 2002-2023 WEINZIERL ENGINEERING GmbH
// All rights reserved.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
// SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY,
// WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE
//

#ifndef __KDRIVE_EXPRESS_ENABLED_H__
#define __KDRIVE_EXPRESS_ENABLED_H__

/*******************************
** Enabled Components
********************************/

#ifndef KDRIVE_EXPRESS_SECURITY_ENABLED
#define KDRIVE_EXPRESS_SECURITY_ENABLED (1)
#endif /* KDRIVE_EXPRESS_SECURITY_ENABLED */

#ifndef KDRIVE_EXPRESS_SERVICES_ENABLED
#define KDRIVE_EXPRESS_SERVICES_ENABLED (1)
#endif /* KDRIVE_EXPRESS_SERVICES_ENABLED */

#ifndef KDRIVE_EXPRESS_COMMERCIAL_ENABLED
#define KDRIVE_EXPRESS_COMMERCIAL_ENABLED (0)
#endif /* KDRIVE_EXPRESS_COMMERCIAL_ENABLED */

#ifndef KDRIVE_EXPRESS_TRANSCEIVER_ENABLED
#define KDRIVE_EXPRESS_TRANSCEIVER_ENABLED (0)
#endif /* KDRIVE_EXPRESS_TRANSCEIVER_ENABLED */

#ifndef KDRIVE_EXPRESS_OBJECT_SERVER_ENABLED
#define KDRIVE_EXPRESS_OBJECT_SERVER_ENABLED (0)
#endif /* KDRIVE_EXPRESS_OBJECT_SERVER_ENABLED */

#ifndef KDRIVE_EXPRESS_GROUPOBJECTDIAGNOSTIC_ENABLED
#define KDRIVE_EXPRESS_GROUPOBJECTDIAGNOSTIC_ENABLED (0)
#endif /* KDRIVE_EXPRESS_GROUPOBJECTDIAGNOSTIC_ENABLED */

/*******************************
** Internal define to determine whether to include services
********************************/

#if (KDRIVE_EXPRESS_SERVICES_ENABLED == 1) || (KDRIVE_EXPRESS_COMMERCIAL_ENABLED == 1)
#define KDRIVE_EXPRESS_SERVICES_INCLUDED (1)
#endif /* (KDRIVE_EXPRESS_SERVICES_ENABLED == 1) || (KDRIVE_EXPRESS_COMMERCIAL_ENABLED == 1) */

#endif /* __KDRIVE_EXPRESS_ENABLED_H__ */
